//
// BackendLoaderFactoryAttribute.cs - Assembly level attribute to specify
//                                    the BackendLoader
//
// Author: Richard Taylor
// Original Author: Todd Berman
//
// (C) Todd Berman <tberman@sevenl.net>

using System;

namespace Dashboard {

	[AttributeUsage (AttributeTargets.Assembly)]
	public class BackendLoaderFactoryAttribute : Attribute {

		string factoryClass;

		public BackendLoaderFactoryAttribute (string factoryClass)
		{
			this.factoryClass = factoryClass;
		}

		public string FactoryClass {
			get { return factoryClass; }
		}

	}

}
